Skip to main content
Version: 0.0.55

NHL — NHL Records API

sportsdataverse.nhl — 44 endpoints.

nhl_records_awards

List all NHL award / trophy records.

Endpoint URL: GET https://records.nhl.com/site/api/award-details

Valid URL: https://records.nhl.com/site/api/award-details

API ParameterPythonPatternRequiredNullableDescription

Returns

List all NHL award / trophy records.

Example

nhl_records_awards()

Last validated n/a.

nhl_records_awards_by_franchise

List award records for a single franchise.

Endpoint URL: GET https://records.nhl.com/site/api/award-details/{franchise_id}

Valid URL: https://records.nhl.com/site/api/award-details/1

API ParameterPythonPatternRequiredNullableDescription
franchise_idfranchise_idYfranchise_id path parameter.

Returns

List award records for a single franchise.

Example

nhl_records_awards_by_franchise(franchise_id=1)

Last validated n/a.

nhl_records_awards_trophy_season

Retrieve the trophy winner for a specific season.

Endpoint URL: GET https://records.nhl.com/site/api/award-details/trophy/{trophy_id}/season/{season_id}

Valid URL: https://records.nhl.com/site/api/award-details/trophy/1/season/X

API ParameterPythonPatternRequiredNullableDescription
trophy_idtrophy_idYtrophy_id path parameter.
season_idseason_idYseason_id path parameter.

Returns

Retrieve the trophy winner for a specific season.

Example

nhl_records_awards_trophy_season(trophy_id=1, season_id='X')

Last validated n/a.

nhl_records_coaches

List NHL head coaches.

Endpoint URL: GET https://records.nhl.com/site/api/coach

Valid URL: https://records.nhl.com/site/api/coach

API ParameterPythonPatternRequiredNullableDescription

Returns

col_nametypedescription
idintegerId.
biocharacter
birth_citycharacterBirth city.
birth_country3codecharacter
birth_datecharacterDate of birth (YYYY-MM-DD).
birth_state_province_codecharacter
brief_descriptioncharacter
date_of_deathcharacter
deceasedlogical
descriptioncharacterLong-form description text.
featured_imagecharacter
first_namecharacterPlayer's first name.
full_namecharacterPlayer's full name.
historycharacterESPN's long-form history text for the award.
hockey_hof_linkcharacter
in_hockey_hoflogical
in_iihf_hockey_hoflogical
in_us_hockey_hoflogical
instagramcharacter
is_activelogicalWhether the team was active in this season.
last_namecharacterPlayer's last name.
nationality_codecharacter
player_iddoubleUnique player identifier.
stanley_cupdouble
team_idcharacterUnique team identifier.
top100_player_linkcharacter
twittercharacter

Example

nhl_records_coaches()

Last validated n/a.

nhl_records_coach

Retrieve one coach by their numeric ID.

Endpoint URL: GET https://records.nhl.com/site/api/coach/{coach_id}

Valid URL: https://records.nhl.com/site/api/coach/X

API ParameterPythonPatternRequiredNullableDescription
coach_idcoach_idYcoach_id path parameter.

Returns

Retrieve one coach by their numeric ID.

Example

nhl_records_coach(coach_id='X')

Last validated n/a.

nhl_records_coach_career

Coach career-records (regular season).

Endpoint URL: GET https://records.nhl.com/site/api/coach-career-records/{coach_id}

Valid URL: https://records.nhl.com/site/api/coach-career-records

API ParameterPythonPatternRequiredNullableDescription
coach_idcoach_idYcoach_id path parameter.

Returns

Coach career-records (regular season).

Example

nhl_records_coach_career()

Last validated n/a.

nhl_records_coach_career_with_playoffs

Coach career records inclusive of regular season + playoffs.

Endpoint URL: GET https://records.nhl.com/site/api/coach-career-records-regular-plus-playoffs

Valid URL: https://records.nhl.com/site/api/coach-career-records-regular-plus-playoffs

API ParameterPythonPatternRequiredNullableDescription

Returns

Coach career records inclusive of regular season + playoffs.

Example

nhl_records_coach_career_with_playoffs()

Last validated n/a.

nhl_records_coach_franchise

Coach records scoped to individual franchise stints.

Endpoint URL: GET https://records.nhl.com/site/api/coach-franchise-records/{coach_id}

Valid URL: https://records.nhl.com/site/api/coach-franchise-records

API ParameterPythonPatternRequiredNullableDescription
coach_idcoach_idYcoach_id path parameter.

Returns

Coach records scoped to individual franchise stints.

Example

nhl_records_coach_franchise()

Last validated n/a.

nhl_records_coach_stanley_cup

Coach Stanley Cup Final win streak and consecutive-cup records.

Endpoint URL: GET https://records.nhl.com/site/api/coach-stanley-cup-streak

Valid URL: https://records.nhl.com/site/api/coach-stanley-cup-streak

API ParameterPythonPatternRequiredNullableDescription

Returns

Coach Stanley Cup Final win streak and consecutive-cup records.

Example

nhl_records_coach_stanley_cup()

Last validated n/a.

nhl_records_franchises

List all NHL franchises (historical and active).

Endpoint URL: GET https://records.nhl.com/site/api/franchise

Valid URL: https://records.nhl.com/site/api/franchise

API ParameterPythonPatternRequiredNullableDescription

Returns

col_nametypedescription
idintegerId.
first_season_idinteger
full_namecharacterPlayer's full name.
last_season_iddouble
most_recent_team_idinteger
team_abbrevcharacterAbbreviation for team.
team_common_namecharacter
team_place_namecharacter

Example

nhl_records_franchises()

Last validated n/a.

nhl_records_franchise_detail

Franchise detail records (extended metadata per franchise).

Endpoint URL: GET https://records.nhl.com/site/api/franchise-detail

Valid URL: https://records.nhl.com/site/api/franchise-detail

API ParameterPythonPatternRequiredNullableDescription

Returns

Franchise detail records (extended metadata per franchise).

Example

nhl_records_franchise_detail()

Last validated n/a.

nhl_records_franchise_team_totals

All-time team totals per franchise (regular season).

Endpoint URL: GET https://records.nhl.com/site/api/franchise-team-totals

Valid URL: https://records.nhl.com/site/api/franchise-team-totals

API ParameterPythonPatternRequiredNullableDescription

Returns

col_nametypedescription
idintegerId.
active_franchiseinteger
active_teamlogical
cupsinteger
first_season_idinteger
franchise_idintegerESPN franchise identifier.
game_type_idintegerGame type code (e.g., R for regular season).
game_win_pctgdouble
games_playeddoubleGames played.
goals_againstdouble
goals_fordouble
home_lossesdoubleHome team's losses.
home_overtime_lossesdouble
home_tiesdoubleTotal home ties.
home_winsdoubleHome team's wins.
last_season_iddouble
lossesdoubleTotal losses.
overtime_lossesdouble
penalty_minutesdouble
playoff_seasonsdouble
point_pctgdouble
pointsdoublePoints scored.
road_lossesdoubleRoad losses.
road_overtime_lossesdouble
road_tiesdouble
road_winsdoubleRoad wins.
series_lossesinteger
series_playeddouble
series_win_pctgdouble
series_winsinteger
shootout_lossesdouble
shootout_winsdouble
shutoutsdoubleShutouts.
team_idintegerUnique team identifier.
team_namecharacterFull team display name (e.g. 'Las Vegas Aces').
tiesdoubleNumber of ties in the series.
tri_codecharacter
winsdoubleTotal wins.

Example

nhl_records_franchise_team_totals()

Last validated n/a.

nhl_records_franchise_season_results

Season-by-season results for each franchise.

Endpoint URL: GET https://records.nhl.com/site/api/franchise-season-results

Valid URL: https://records.nhl.com/site/api/franchise-season-results

API ParameterPythonPatternRequiredNullableDescription

Returns

Season-by-season results for each franchise.

Example

nhl_records_franchise_season_results()

Last validated n/a.

nhl_records_franchise_playoff_appearances

Franchise playoff appearance counts and streak information.

Endpoint URL: GET https://records.nhl.com/site/api/franchise-playoff-appearances

Valid URL: https://records.nhl.com/site/api/franchise-playoff-appearances

API ParameterPythonPatternRequiredNullableDescription

Returns

Franchise playoff appearance counts and streak information.

Example

nhl_records_franchise_playoff_appearances()

Last validated n/a.

nhl_records_franchise_totals

League-wide franchise totals (all-time aggregate per franchise).

Endpoint URL: GET https://records.nhl.com/site/api/franchise-totals

Valid URL: https://records.nhl.com/site/api/franchise-totals

API ParameterPythonPatternRequiredNullableDescription

Returns

League-wide franchise totals (all-time aggregate per franchise).

Example

nhl_records_franchise_totals()

Last validated n/a.

nhl_records_all_time_record_vs_franchise

All-time head-to-head records between every franchise pairing.

Endpoint URL: GET https://records.nhl.com/site/api/all-time-record-vs-franchise

Valid URL: https://records.nhl.com/site/api/all-time-record-vs-franchise

API ParameterPythonPatternRequiredNullableDescription

Returns

All-time head-to-head records between every franchise pairing.

Example

nhl_records_all_time_record_vs_franchise()

Last validated n/a.

nhl_records_skater_career_stats

Skater career statistics (all-time, regular season).

Endpoint URL: GET https://records.nhl.com/site/api/skater-career-statistics

Valid URL: https://records.nhl.com/site/api/skater-career-statistics

API ParameterPythonPatternRequiredNullableDescription

Returns

Skater career statistics (all-time, regular season).

Example

nhl_records_skater_career_stats()

Last validated n/a.

nhl_records_skater_career_leaders

All-time skater career leaderboards.

Endpoint URL: GET https://records.nhl.com/site/api/skater-career-leaders

Valid URL: https://records.nhl.com/site/api/skater-career-leaders

API ParameterPythonPatternRequiredNullableDescription

Returns

All-time skater career leaderboards.

Example

nhl_records_skater_career_leaders()

Last validated n/a.

nhl_records_consecutive_100pt_seasons

Skaters with the most consecutive 100-point seasons.

Endpoint URL: GET https://records.nhl.com/site/api/consecutive-100-point-seasons

Valid URL: https://records.nhl.com/site/api/consecutive-100-point-seasons

API ParameterPythonPatternRequiredNullableDescription

Returns

Skaters with the most consecutive 100-point seasons.

Example

nhl_records_consecutive_100pt_seasons()

Last validated n/a.

nhl_records_goalie_career_stats

Goaltender career statistics (regular season).

Endpoint URL: GET https://records.nhl.com/site/api/goalie-career-stats

Valid URL: https://records.nhl.com/site/api/goalie-career-stats

API ParameterPythonPatternRequiredNullableDescription

Returns

Goaltender career statistics (regular season).

Example

nhl_records_goalie_career_stats()

Last validated n/a.

nhl_records_goalie_career_stats_with_playoffs

Goaltender career stats inclusive of regular season and playoffs.

Endpoint URL: GET https://records.nhl.com/site/api/goalie_career_stats_incl_playoffs

Valid URL: https://records.nhl.com/site/api/goalie_career_stats_incl_playoffs

API ParameterPythonPatternRequiredNullableDescription

Returns

Goaltender career stats inclusive of regular season and playoffs.

Example

nhl_records_goalie_career_stats_with_playoffs()

Last validated n/a.

nhl_records_goalie_season_stats

Goaltender single-season statistics.

Endpoint URL: GET https://records.nhl.com/site/api/goalie-season-stats

Valid URL: https://records.nhl.com/site/api/goalie-season-stats

API ParameterPythonPatternRequiredNullableDescription

Returns

Goaltender single-season statistics.

Example

nhl_records_goalie_season_stats()

Last validated n/a.

nhl_records_goalie_win_streak

Goaltenders with the longest consecutive-win streaks.

Endpoint URL: GET https://records.nhl.com/site/api/goalie-win-streak

Valid URL: https://records.nhl.com/site/api/goalie-win-streak

API ParameterPythonPatternRequiredNullableDescription

Returns

Goaltenders with the longest consecutive-win streaks.

Example

nhl_records_goalie_win_streak()

Last validated n/a.

nhl_records_goalie_shutout_streak

Goaltenders with the longest consecutive-shutout streaks.

Endpoint URL: GET https://records.nhl.com/site/api/goalie-shutout-streak

Valid URL: https://records.nhl.com/site/api/goalie-shutout-streak

API ParameterPythonPatternRequiredNullableDescription

Returns

Goaltenders with the longest consecutive-shutout streaks.

Example

nhl_records_goalie_shutout_streak()

Last validated n/a.

nhl_records_goalie_win_plateaus

Goaltenders who reached each win plateau (100, 200, 300 …).

Endpoint URL: GET https://records.nhl.com/site/api/goalie-win-plateaus

Valid URL: https://records.nhl.com/site/api/goalie-win-plateaus

API ParameterPythonPatternRequiredNullableDescription

Returns

Goaltenders who reached each win plateau (100, 200, 300 …).

Example

nhl_records_goalie_win_plateaus()

Last validated n/a.

nhl_records_goalie_playoff_streak

Goaltender consecutive playoff-win streaks.

Endpoint URL: GET https://records.nhl.com/site/api/goalie-playoff-streak

Valid URL: https://records.nhl.com/site/api/goalie-playoff-streak

API ParameterPythonPatternRequiredNullableDescription

Returns

Goaltender consecutive playoff-win streaks.

Example

nhl_records_goalie_playoff_streak()

Last validated n/a.

nhl_records_goalie_undefeated_streak

Goaltender longest undefeated streaks (wins + ties).

Endpoint URL: GET https://records.nhl.com/site/api/goalie-undefeated-streak

Valid URL: https://records.nhl.com/site/api/goalie-undefeated-streak

API ParameterPythonPatternRequiredNullableDescription

Returns

Goaltender longest undefeated streaks (wins + ties).

Example

nhl_records_goalie_undefeated_streak()

Last validated n/a.

nhl_records_draft

Retrieve NHL Entry Draft picks.

Endpoint URL: GET https://records.nhl.com/site/api/draft/{draft_id}

Valid URL: https://records.nhl.com/site/api/draft

API ParameterPythonPatternRequiredNullableDescription
draft_iddraft_idYdraft_id path parameter.

Returns

col_nametypedescription
idintegerId.
age_in_dayscharacter
age_in_days_for_yearcharacter
age_in_yearscharacter
amateur_club_namecharacter
amateur_leaguecharacter
birth_datecharacterDate of birth (YYYY-MM-DD).
birth_placecharacterPlace of birth.
country_codecharacterTeam/venue country code.
cs_player_idcharacter
draft_datecharacterDate in YYYY-MM-DD format.
draft_master_idinteger
draft_yearintegerDraft year (4-digit).
drafted_by_team_idcharacter
first_namecharacterPlayer's first name.
heightcharacterPlayer height (string e.g. '6-2' or inches).
last_namecharacterPlayer's last name.
notescharacterFree-form notes attached to the record.
overall_pick_numberinteger
pick_in_roundinteger
player_idcharacterUnique player identifier.
player_namecharacterPlayer name.
positioncharacterListed roster position (G, F, C, etc.).
removed_outrightcharacter
removed_outright_whycharacter
round_numberintegerNumeric round.
shoots_catchescharacter
supplemental_draftcharacter
team_pick_historycharacter
tri_codecharacter
weightcharacterPlayer weight in pounds.

Example

nhl_records_draft()

Last validated n/a.

nhl_records_draft_by_team

All draft picks made by a single team.

Endpoint URL: GET https://records.nhl.com/site/api/draft/byTeam/{team_id}

Valid URL: https://records.nhl.com/site/api/draft/byTeam/10

API ParameterPythonPatternRequiredNullableDescription
team_idteam_idYteam_id path parameter.

Returns

All draft picks made by a single team.

Example

nhl_records_draft_by_team(team_id=10)

Last validated n/a.

nhl_records_draft_prospect

Draft prospect records.

Endpoint URL: GET https://records.nhl.com/site/api/draft-prospect/{prospect_id}

Valid URL: https://records.nhl.com/site/api/draft-prospect

API ParameterPythonPatternRequiredNullableDescription
prospect_idprospect_idYprospect_id path parameter.

Returns

Draft prospect records.

Example

nhl_records_draft_prospect()

Last validated n/a.

nhl_records_draft_lottery_odds

Draft lottery odds (current year or filtered by season).

Endpoint URL: GET https://records.nhl.com/site/api/draft-lottery-odds

Valid URL: https://records.nhl.com/site/api/draft-lottery-odds

API ParameterPythonPatternRequiredNullableDescription

Returns

Draft lottery odds (current year or filtered by season).

Example

nhl_records_draft_lottery_odds()

Last validated n/a.

nhl_records_expansion_draft_picks

Expansion draft picks (e.g. Vegas 2017, Seattle 2021).

Endpoint URL: GET https://records.nhl.com/site/api/expansion-draft-picks

Valid URL: https://records.nhl.com/site/api/expansion-draft-picks

API ParameterPythonPatternRequiredNullableDescription

Returns

Expansion draft picks (e.g. Vegas 2017, Seattle 2021).

Example

nhl_records_expansion_draft_picks()

Last validated n/a.

nhl_records_allstar_skater_career

All-Star Game career statistics for skaters.

Endpoint URL: GET https://records.nhl.com/site/api/all-star-skater-career-stats

Valid URL: https://records.nhl.com/site/api/all-star-skater-career-stats

API ParameterPythonPatternRequiredNullableDescription

Returns

All-Star Game career statistics for skaters.

Example

nhl_records_allstar_skater_career()

Last validated n/a.

nhl_records_allstar_goalie_career

All-Star Game career statistics for goaltenders.

Endpoint URL: GET https://records.nhl.com/site/api/all-star-goaltender-career-stats

Valid URL: https://records.nhl.com/site/api/all-star-goaltender-career-stats

API ParameterPythonPatternRequiredNullableDescription

Returns

All-Star Game career statistics for goaltenders.

Example

nhl_records_allstar_goalie_career()

Last validated n/a.

nhl_records_allstar_coach_career

All-Star Game career records for coaches.

Endpoint URL: GET https://records.nhl.com/site/api/all-star-coach-career-stats

Valid URL: https://records.nhl.com/site/api/all-star-coach-career-stats

API ParameterPythonPatternRequiredNullableDescription

Returns

All-Star Game career records for coaches.

Example

nhl_records_allstar_coach_career()

Last validated n/a.

nhl_records_allstar_skater_game

All-Star Game single-game scoring records for skaters.

Endpoint URL: GET https://records.nhl.com/site/api/all-star-skater-game-stats

Valid URL: https://records.nhl.com/site/api/all-star-skater-game-stats

API ParameterPythonPatternRequiredNullableDescription

Returns

All-Star Game single-game scoring records for skaters.

Example

nhl_records_allstar_skater_game()

Last validated n/a.

nhl_records_allstar_goalie_game

All-Star Game single-game stats for goaltenders.

Endpoint URL: GET https://records.nhl.com/site/api/all-star-goaltender-game-stats

Valid URL: https://records.nhl.com/site/api/all-star-goaltender-game-stats

API ParameterPythonPatternRequiredNullableDescription

Returns

All-Star Game single-game stats for goaltenders.

Example

nhl_records_allstar_goalie_game()

Last validated n/a.

nhl_records_attendance

NHL arena attendance records.

Endpoint URL: GET https://records.nhl.com/site/api/attendance

Valid URL: https://records.nhl.com/site/api/attendance

API ParameterPythonPatternRequiredNullableDescription

Returns

col_nametypedescription
idintegerId.
playoff_attendancedouble
regular_attendancedouble
season_idintegerUnique season identifier.
total_attendancedouble

Example

nhl_records_attendance()

Last validated n/a.

nhl_records_hof_players

Hockey Hall of Fame player inductees.

Endpoint URL: GET https://records.nhl.com/site/api/hof/players

Valid URL: https://records.nhl.com/site/api/hof/players

API ParameterPythonPatternRequiredNullableDescription

Returns

Hockey Hall of Fame player inductees.

Example

nhl_records_hof_players()

Last validated n/a.

nhl_records_hof_players_by_office

Hall of Fame players for a specific induction office/category.

Endpoint URL: GET https://records.nhl.com/site/api/hof/players/{office_id}

Valid URL: https://records.nhl.com/site/api/hof/players/X

API ParameterPythonPatternRequiredNullableDescription
office_idoffice_idYoffice_id path parameter.

Returns

Hall of Fame players for a specific induction office/category.

Example

nhl_records_hof_players_by_office(office_id='X')

Last validated n/a.

nhl_records_gm_career

General Manager career records.

Endpoint URL: GET https://records.nhl.com/site/api/general-manager/{gm_id}

Valid URL: https://records.nhl.com/site/api/general-manager

API ParameterPythonPatternRequiredNullableDescription
gm_idgm_idYgm_id path parameter.

Returns

General Manager career records.

Example

nhl_records_gm_career()

Last validated n/a.

nhl_records_gm_franchise

General Manager records scoped to franchise stints.

Endpoint URL: GET https://records.nhl.com/site/api/general-manager-franchise-records

Valid URL: https://records.nhl.com/site/api/general-manager-franchise-records

API ParameterPythonPatternRequiredNullableDescription

Returns

General Manager records scoped to franchise stints.

Example

nhl_records_gm_franchise()

Last validated n/a.

nhl_records_home_team_record

League-wide home-team win/loss record by season.

Endpoint URL: GET https://records.nhl.com/site/api/home-team-record

Valid URL: https://records.nhl.com/site/api/home-team-record

API ParameterPythonPatternRequiredNullableDescription

Returns

League-wide home-team win/loss record by season.

Example

nhl_records_home_team_record()

Last validated n/a.

nhl_records_away_team_record

League-wide away-team win/loss record by season.

Endpoint URL: GET https://records.nhl.com/site/api/away-team-record

Valid URL: https://records.nhl.com/site/api/away-team-record

API ParameterPythonPatternRequiredNullableDescription

Returns

League-wide away-team win/loss record by season.

Example

nhl_records_away_team_record()

Last validated n/a.